Package org.apache.lucene.queries.function.docvalues

# Class BoolDocValues

java.lang.Object
org.apache.lucene.queries.function.FunctionValues
org.apache.lucene.queries.function.docvalues.BoolDocValues

public abstract class BoolDocValues extends FunctionValues
Abstract `FunctionValues` implementation which supports retrieving boolean values. Implementations can control how the boolean values are loaded through `boolVal(int)`}

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues

  `FunctionValues.ValueFiller`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ValueSource`
  `vs`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoolDocValues(ValueSource vs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `boolVal(int doc)`
  `byte`
  `byteVal(int doc)`
  `double`
  `doubleVal(int doc)`
  `float`
  `floatVal(int doc)`
  `FunctionValues.ValueFiller`
  `getValueFiller()`
  `int`
  `intVal(int doc)`
  `long`
  `longVal(int doc)`
  `Object`
  `objectVal(int doc)`
  Native Java Object representation of the value
  `short`
  `shortVal(int doc)`
  `String`
  `strVal(int doc)`
  `String`
  `toString(int doc)`

  ### Methods inherited from class org.apache.lucene.queries.function.FunctionValues

  `bytesVal, byteVal, byteVectorVal, cost, doubleVal, exists, explain, floatVal, floatVectorVal, getRangeScorer, getScorer, intVal, longVal, numOrd, ordVal, shortVal, strVal`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### vs

    protected final ValueSource vs

- ## Constructor Details

  - ### BoolDocValues

    public BoolDocValues(ValueSource vs)

- ## Method Details

  - ### boolVal

    public abstract boolean boolVal(int doc) throws IOException
    Overrides:
      `boolVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### byteVal

    public byte byteVal(int doc) throws IOException
    Overrides:
      `byteVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### shortVal

    public short shortVal(int doc) throws IOException
    Overrides:
      `shortVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### floatVal

    public float floatVal(int doc) throws IOException
    Overrides:
      `floatVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### intVal

    public int intVal(int doc) throws IOException
    Overrides:
      `intVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### longVal

    public long longVal(int doc) throws IOException
    Overrides:
      `longVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### doubleVal

    public double doubleVal(int doc) throws IOException
    Overrides:
      `doubleVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### strVal

    public String strVal(int doc) throws IOException
    Overrides:
      `strVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### objectVal

    public Object objectVal(int doc) throws IOException
    Description copied from class: `FunctionValues`
    Native Java Object representation of the value
    Overrides:
      `objectVal` in class `FunctionValues`
    Throws:
      `IOException`

  - ### toString

    public String toString(int doc) throws IOException
    Specified by:
      `toString` in class `FunctionValues`
    Throws:
      `IOException`

  - ### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()
    Overrides:
      `getValueFiller` in class `FunctionValues`